Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sun 23 Nov 2014, 09:48
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Derivatives
Browserlinux Chrome - 73 Mb
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 3 [38 Posts]   Goto page: 1, 2, 3 Next
Author Message
puppymartin


Joined: 29 Mar 2009
Posts: 207
Location: The Netherlands

PostPosted: Sun 10 Jan 2010, 17:56    Post subject:  Browserlinux Chrome - 73 Mb
Subject description: bèta 3 - Chrome 4.0.295.0
 

Edit: no more new Browserlinux versions with Chrome, but if you want it:
Download Browserlinux (Firefox) and the Chrome installer.
See: http://www.murga-linux.com/puppy/viewtopic.php?t=48280



Download bèta 3:
- Latest version of Chrome (4.0.295.0)
- Parent puppy 4.1.2 (bèta 2 was 4.3.1 Shocked )

Last edited by puppymartin on Fri 29 Jan 2010, 17:52; edited 7 times in total
Back to top
View user's profile Send private message Visit poster's website 
abedarts

Joined: 16 Nov 2009
Posts: 58

PostPosted: Mon 11 Jan 2010, 11:01    Post subject: Bookmarks sync
Subject description: how to enable?
 

I like this, very clean, very light and after years with Firefox I have reluctantly changed to Chrome, which is so much faster. My main need is for bookmarks sync, which is supported on the version you have included, but it needs to be passed the parameters --enable-sync. I tried editing the desktop item but then it would not start. Can you advise,
thanks.
Back to top
View user's profile Send private message 
puppymartin


Joined: 29 Mar 2009
Posts: 207
Location: The Netherlands

PostPosted: Mon 11 Jan 2010, 12:09    Post subject: Re: Bookmarks sync
Subject description: how to enable?
 

abedarts wrote:
I like this, very clean, very light and after years with Firefox I have reluctantly changed to Chrome, which is so much faster. My main need is for bookmarks sync, which is supported on the version you have included, but it needs to be passed the parameters --enable-sync. I tried editing the desktop item but then it would not start. Can you advise,
thanks.


Right click on the browse-icon on the desktop and choose Edit (not Edit item) Then change line 109 in something like:

Exec=/opt/google/chrome/google-chrome --enable-sync %U

Succes!
Back to top
View user's profile Send private message Visit poster's website 
puppymartin


Joined: 29 Mar 2009
Posts: 207
Location: The Netherlands

PostPosted: Mon 11 Jan 2010, 12:40    Post subject:  

Nobody asked, but this is how to add Java:

1 Go to www.java.com and download "Linux (self-extracting file)"
(http://javadl.sun.com/webapps/download/AutoDL?BundleId=35675)

2 Open a terminal and type:
# chmod 777 /root/Downloads/jre-???.bin
# /root/Downloads/jre-???.bin

3 Now you have a new directory, something like "jre???"
Terminal:
# mkdir /opt/google/chrome/plugins
# cd /opt/google/chrome/plugins
# ln -s /root/Downloads/jre???/lib/i386/libnpjp2.so

Restart Chrome!
Back to top
View user's profile Send private message Visit poster's website 
abedarts

Joined: 16 Nov 2009
Posts: 58

PostPosted: Mon 11 Jan 2010, 13:31    Post subject:  

sorry, see below...
Last edited by abedarts on Mon 11 Jan 2010, 13:36; edited 1 time in total
Back to top
View user's profile Send private message 
abedarts

Joined: 16 Nov 2009
Posts: 58

PostPosted: Mon 11 Jan 2010, 13:35    Post subject:  

Puppymartin, thanks for the info. I did as suggested but I still don't see the sync bookmarks option, which appears in the spanner (wrench) pull down when its enabled. Does it appear for you, or do we need a later build such as 266. Can a user update it to a newer build?
Back to top
View user's profile Send private message 
rickyricardo

Joined: 04 Mar 2009
Posts: 29

PostPosted: Mon 11 Jan 2010, 15:16    Post subject: Re: Bookmarks sync
Subject description: how to enable?
 

abedarts wrote:
I like this, very clean, very light and after years with Firefox I have reluctantly changed to Chrome, which is so much faster. My main need is for bookmarks sync, which is supported on the version you have included, but it needs to be passed the parameters --enable-sync. I tried editing the desktop item but then it would not start. Can you advise,
thanks.


I use XMARKS instead of the native Chrome sync feature. Let's me sync across FF, Chrome and IE so I have the same bookmarks everywhere. Has been very reliable for me.

Rick
Back to top
View user's profile Send private message 
jacklayne


Joined: 04 Jul 2006
Posts: 18
Location: Central Texas

PostPosted: Mon 11 Jan 2010, 18:26    Post subject:  

Do they now allow extensions with Chrome? I guess I'm a little behind the times!

Thanks,

Jack
Back to top
View user's profile Send private message AIM Address Yahoo Messenger 
rickyricardo

Joined: 04 Mar 2009
Posts: 29

PostPosted: Mon 11 Jan 2010, 19:38    Post subject:  

jacklayne wrote:
Do they now allow extensions with Chrome? I guess I'm a little behind the times!

Thanks,

Jack


Yes - the only version of Chrome that runs on Linux is the most recent beta. It is very stable and supports extensions. Google has a page at chrome.google.com/extensions - you can find the XMARKS for Chrome there along with a bunch of others.

Rick
Back to top
View user's profile Send private message 
abedarts

Joined: 16 Nov 2009
Posts: 58

PostPosted: Tue 12 Jan 2010, 06:19    Post subject:  

puppymartin, I've been using xmarks for a while and like it, I'm just trying out the whole Chrome thing. I've used their bookmark sync on XP and Ubuntu fine, so I'm trying to get it going on my Netbook with Puppy. Your puplet does what Chrome OS does, and much more besides, in a tiny footprint so I'd really like to get Google bookmark sync going.

Can you explain how to include a newer build of Chrome for linux. Also is it possible to install other Puppy apps in your version, I don't see the package manager.

Thanks
Back to top
View user's profile Send private message 
puppymartin


Joined: 29 Mar 2009
Posts: 207
Location: The Netherlands

PostPosted: Tue 12 Jan 2010, 08:06    Post subject:  

abedarts wrote:

Can you explain how to include a newer build of Chrome for linux. Also is it possible to install other Puppy apps in your version, I don't see the package manager.


Install this chrome update-pet (4.0.249.30 -> 4.0.249.43 - 43 is the latest linux version):

http://www.browserlinux.com/software/Chrome_Update_4.0.249.43.pet

The Puppy Packet Manager is still in Browserlinux, but only for uninstalling packages:
/usr/local/petget/pkg_chooser.sh

Installing new applications can be difficult because many libs and bins are removed. Browserlinux is for browsing only... Confused
(But, if you want to try: http://distro.ibiblio.org/pub/linux/distributions/puppylinux/pet_packages-4/)
Back to top
View user's profile Send private message Visit poster's website 
hegy

Joined: 25 Jan 2007
Posts: 7

PostPosted: Tue 12 Jan 2010, 13:35    Post subject:  

I'd like to install Opera 10.10 in Browserlinux Chrome. I tried it, but Opera didn't run. I tried to install with libs, but Opera didn't run. Can I install Opera somehow?
Please help!
Back to top
View user's profile Send private message 
puppymartin


Joined: 29 Mar 2009
Posts: 207
Location: The Netherlands

PostPosted: Tue 12 Jan 2010, 16:57    Post subject:  

puppymartin wrote:

Install this chrome update-pet (4.0.249.30 -> 4.0.249.43 - 43 is the latest linux version):
http://www.browserlinux.com/software/Chrome_Update_4.0.249.43.pet

... or download the bèta 2:

- "Brushed" Chrome theme (see image first post)
- Latest version of Chrome (4.0.249.43)
Back to top
View user's profile Send private message Visit poster's website 
puppymartin


Joined: 29 Mar 2009
Posts: 207
Location: The Netherlands

PostPosted: Tue 12 Jan 2010, 17:19    Post subject:  

hegy wrote:
I'd like to install Opera 10.10 in Browserlinux Chrome. I tried it, but Opera didn't run. I tried to install with libs, but Opera didn't run. Can I install Opera somehow?

Open the terminal and type:

# ldd /usr/lib/opera

then add the "not found" libs.

(Libs, libs and libs are here: http://www.murga-linux.com/puppy/viewtopic.php?t=24599)

Success

Last edited by puppymartin on Wed 13 Jan 2010, 12:43; edited 1 time in total
Back to top
View user's profile Send private message Visit poster's website 
germdaily

Joined: 28 Mar 2009
Posts: 8

PostPosted: Tue 12 Jan 2010, 22:32    Post subject: LastPass Doesn't Work  

I've settled on my puplet of choice as Browserlinux. Version 3.5.5 works great on my 2000 model Thinkpad. This Chrome version blows it away for speed. One problem: my killer app addin LastPass doesn't work properly. It doesn't login. I think it has something to do with certificates, because other HTTPS sites have problems. I know it works on the Ubuntu(Mint) version.

Any clue what the problem might be?

I just found the problem. Unchecked the box in prefs that says "check for revocation of certificates".
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 3 [38 Posts]   Goto page: 1, 2, 3 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Derivatives
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0775s ][ Queries: 12 (0.0035s) ][ GZIP on ]